commit:     7f30703fcaa8a58bbcca2f7c48de9cf9b44922c5
Author:     Wolfram Schlich <wschlich <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 22 16:23:52 2016 +0000
Commit:     Wolfram Schlich <wschlich <AT> gentoo <DOT> org>
CommitDate: Fri Apr 22 16:24:13 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7f30703f

app-antivirus/skyldav: version bump

Package-Manager: portage-2.2.28

 app-antivirus/skyldav/Manifest                     |   1 +
 app-antivirus/skyldav/files/skyldav-0.6-conf.patch |  21 ++++
 .../skyldav/files/skyldav-0.6-examples.patch       |  11 +++
 app-antivirus/skyldav/skyldav-0.6.ebuild           | 108 +++++++++++++++++++++
 4 files changed, 141 insertions(+)

diff --git a/app-antivirus/skyldav/Manifest b/app-antivirus/skyldav/Manifest
index f729e27..bdf78a4 100644
--- a/app-antivirus/skyldav/Manifest
+++ b/app-antivirus/skyldav/Manifest
@@ -1 +1,2 @@
 DIST skyldav-0.5.tar.gz 105274 SHA256 
308b7a15b920a33c2c381aeb607db5bece9560e0a85e3e65c2df0d153413f4cc SHA512 
24b9e3805574a2498b1e250cde790d6263f6f751546ad906303099bad5e722430568b1081764843a3c52f38730e8f26132f32058bea33c18f19673ac9147c323
 WHIRLPOOL 
77e77c25eaf3d0d3add4e1b03366c75dd1acdf8152d2987af61418a4793b1b0873cd0088e2bfd00c9864316e3b6e068c4bc96bc064cfec706a1b1b0c318d3aa1
+DIST skyldav-0.6.tar.gz 105783 SHA256 
a8820960a5296c23974dc59acf021c387678f392b295b4de70d134147753cca5 SHA512 
3dcc6be287bfc7115cc360df97677fa12db5974d4917e476f37ad72097a6c2f224c3f57f84430591760c231ff02f277b908002a0b2bad250e971571f663d51c1
 WHIRLPOOL 
9cc38dc603ef46b12b6f14af2e58e20b44497afa47410d929187ecbc8ace15cd500d35fc7f35c68abd6d9587a6c83d355e32956455b120ab33b7bbd0800fe97c

diff --git a/app-antivirus/skyldav/files/skyldav-0.6-conf.patch 
b/app-antivirus/skyldav/files/skyldav-0.6-conf.patch
new file mode 100644
index 0000000..879e445
--- /dev/null
+++ b/app-antivirus/skyldav/files/skyldav-0.6-conf.patch
@@ -0,0 +1,21 @@
+diff -urN skyldav-0.6.orig/examples/etc/skyldav.conf 
skyldav-0.6/examples/etc/skyldav.conf
+--- skyldav-0.6.orig/examples/etc/skyldav.conf 2016-04-13 00:55:28.000000000 
+0200
++++ skyldav-0.6/examples/etc/skyldav.conf      2016-04-22 10:18:56.631146410 
+0200
+@@ -22,6 +22,9 @@
+ 
+ # Directories that shall not be scanned (including subdirectories)
+ # EXCLUDE_PATH = /var/noscan, /opt/noscan
++# 
++# Exclude various portage directories for performance reasons
++EXCLUDE_PATH = /usr/portage, /var/cache/edb, /var/db/pkg, /var/tmp/portage, 
/var/tmp/binpkgs, /var/log/portage
+ 
+ # File systems that are local, virus scan results may be cached.
+ # LOCAL_FS = ext3, ext4, iso9660, tmpfs, vfat
+@@ -31,6 +34,7 @@
+ # File systems that shall not be marked for virus scan.
+ # Cifs uses a background daemon which causes problems when scanned.
+ # Exclusion of fuse file systems is hard coded.
++# Do not exclude devtmpfs and configfs, as userspace could write malware onto 
them!
+ # NOMARK_FS = proc, sysfs
+ NOMARK_FS = proc, sysfs, devpts, debugfs, securityfs, cgroup, rpc_pipefs
+ NOMARK_FS = mqueue, autofs, cifs

diff --git a/app-antivirus/skyldav/files/skyldav-0.6-examples.patch 
b/app-antivirus/skyldav/files/skyldav-0.6-examples.patch
new file mode 100644
index 0000000..7ae29a1
--- /dev/null
+++ b/app-antivirus/skyldav/files/skyldav-0.6-examples.patch
@@ -0,0 +1,11 @@
+diff -urN skyldav-0.6.orig/Makefile.am skyldav-0.6/Makefile.am
+--- skyldav-0.6.orig/Makefile.am       2016-04-13 00:55:28.000000000 +0200
++++ skyldav-0.6/Makefile.am    2016-04-22 10:19:55.730771296 +0200
+@@ -9,7 +9,6 @@
+       rm -rf doc/doxygen
+ 
+ install-data-local: \
+-  install-skyldav-examples \
+   install-skyldav-conf \
+   install-skyldavnotify-desktop
+ 

diff --git a/app-antivirus/skyldav/skyldav-0.6.ebuild 
b/app-antivirus/skyldav/skyldav-0.6.ebuild
new file mode 100644
index 0000000..c484868
--- /dev/null
+++ b/app-antivirus/skyldav/skyldav-0.6.ebuild
@@ -0,0 +1,108 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit flag-o-matic linux-info linux-mod autotools-utils readme.gentoo-r1 
systemd
+
+DESCRIPTION="Skyld AV: on-access scanning daemon for ClamAV using fanotify"
+HOMEPAGE="http://xypron.github.io/skyldav/";
+
+## github release tarball
+MY_PV=${PV/_rc/rc}
+MY_P="${PN}-${MY_PV}"
+SRC_URI="https://github.com/xypron/skyldav/archive/${MY_PV}.tar.gz -> 
${MY_P}.tar.gz"
+
+## selfmade tarball
+#MY_PVR=${PVR/_rc/rc}
+#MY_P="${PN}-${MY_PVR}"
+#SRC_URI="http://dev.gentoo.org/~wschlich/src/${CATEGORY}/${PN}/${MY_P}.tar.gz";
+
+## github commit tarball
+#MY_GIT_COMMIT="49bdb5e710b5a77c38ceb87da6015afb7009f1f9"
+#MY_P="xypron-${PN}-${MY_GIT_COMMIT:0:7}"
+#SRC_URI="https://github.com/xypron/${PN}/tarball/${MY_GIT_COMMIT} -> 
${PF}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+LICENSE="Apache-2.0"
+IUSE="libnotify systemd"
+
+RDEPEND=">=app-antivirus/clamav-0.97.8
+       sys-apps/util-linux
+       sys-libs/libcap
+       libnotify? (
+               media-libs/libcanberra[gtk]
+               x11-libs/libnotify
+               x11-libs/gtk+:2
+       )"
+DEPEND="${RDEPEND}
+       sys-devel/autoconf-archive"
+
+## autotools-utils.eclass settings
+AUTOTOOLS_AUTORECONF="1"
+AUTOTOOLS_IN_SOURCE_BUILD="1"
+DOCS=( AUTHORS NEWS README )
+PATCHES=(
+       "${FILESDIR}/${P}-examples.patch"
+       "${FILESDIR}/${P}-conf.patch"
+)
+
+pkg_setup() {
+       linux-info_pkg_setup
+       kernel_is ge 3 8 0 || die "Linux 3.8.0 or newer recommended"
+       CONFIG_CHECK="FANOTIFY FANOTIFY_ACCESS_PERMISSIONS"
+       check_extra_config
+
+       ## define contents for README.gentoo
+       if use systemd; then
+               DOC_CONTENTS='Skyld AV provides a systemd service.'$'\n'
+               DOC_CONTENTS+='Please edit the systemd service config file to 
match your needs:'$'\n'
+               
DOC_CONTENTS+='/etc/systemd/system/skyldav.service.d/00gentoo.conf'$'\n'
+               DOC_CONTENTS+='# systemctl daemon-reload'$'\n'
+               DOC_CONTENTS+='# systemctl restart skyldav.service'$'\n'
+               DOC_CONTENTS+='Example for enabling the Skyld AV service:'$'\n'
+               DOC_CONTENTS+='# systemctl enable skyldav.service'$'\n'
+       else
+               DOC_CONTENTS='Skyld AV provides an init script for OpenRC.'$'\n'
+               DOC_CONTENTS+='Please edit the init script config file to match 
your needs:'$'\n'
+               DOC_CONTENTS+='/etc/conf.d/skyldav'$'\n'
+               DOC_CONTENTS+='Example for enabling the Skyld AV init 
script:'$'\n'
+               DOC_CONTENTS+='# rc-update add skyldav default'$'\n'
+       fi
+}
+
+src_configure() {
+       local myeconfargs=(
+               $(use_with libnotify notification)
+       )
+       autotools-utils_src_configure
+}
+
+src_install() {
+       autotools-utils_src_install
+
+       ## install systemd service or OpenRC init scripts
+       if use systemd; then
+               systemd_newunit "${FILESDIR}/skyldav.service-r1" skyldav.service
+               systemd_install_serviced "${FILESDIR}"/skyldav.service.conf
+               systemd_newtmpfilesd "${FILESDIR}"/skyldav.tmpfilesd 
skyldav.conf
+       else
+               newinitd "${FILESDIR}/${PN}.initd" ${PN}
+               newconfd "${FILESDIR}/${PN}.confd" ${PN}
+       fi
+
+       ## create README.gentoo from ${DOC_CONTENTS}
+       DISABLE_AUTOFORMATTING=1 readme.gentoo_create_doc
+}
+
+pkg_postinst() {
+       ## workaround for /usr/lib/tmpfiles.d/skyldav.conf
+       ## not getting processed until the next reboot
+       if use systemd; then
+               install -d -m 0755 -o root -g root /run/skyldav
+       fi
+}

Reply via email to